﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

// エージェントの抽象クラス．
// Couzinのアルゴリズム以外も
// このクラスを継承して試すことができる．
public abstract class Agent : MonoBehaviour
{
    // エージェントの位置・速度．
    // 他のスクリプト（主にAgentManager）からの参照用．
    // 注：何を報告するかの実装は継承先．
    // つまり，実際の値と違うものが報告される可能性もある．
    // 厳密に知るには，this.transform.positionなど．
    [HideInInspector]
    public abstract Vector3 Position { get; }
    [HideInInspector]
    public abstract Vector3 Velocity { get; }
}
